
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Segoe UI", Arial, sans-serif;
  line-height: 1.6;
  color: #070707;
  background-color: #f9f9f9;
}
/* .header {
  top: 0;
   width: 100%;
  background-color: #fff;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
  padding: 10px 20px;
  z-index: 10;
}

.logo-area {
  display: flex;
  align-items: center;
  gap: 10px;
}

.logo {
  height: 70px;
}

.nav-links {
  display: flex;
  gap: 25px;
}


.header h1 {
  font-size: 1.8rem;
  text-transform: uppercase;
  color: #0b5aa6;
  font-weight: 900;
  letter-spacing: 1px;
}

.nav-links a {
  text-decoration: none;
  margin-left: 1.5rem;
  color: #333;
  font-weight: 500;
  transition: color 0.3s ease;
}

.nav-links a:hover {
  color: #0b5aa6;
}


.menu-toggle {
  display: none;
  flex-direction: column;
  gap: 5px;
  background: none;
  border: none;
  cursor: pointer;
}

.menu-toggle span {
  width: 25px;
  height: 3px;
  background: var(--blue-primary, #0b5aa6);
  border-radius: 2px;
  transition: all 0.3s ease;
}
.menu-toggle.active span:nth-child(1) {
  transform: rotate(45deg) translateY(8px);
}

.menu-toggle.active span:nth-child(2) {
  opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
  transform: rotate(-45deg) translateY(-8px);
} */

.site-header {
  position: sticky;
  top: 0;
  z-index: 1000;
  background: #ffffff;
  box-shadow: 0 2px 6px rgba(0,0,0,0.08);
}

.header-container {
  max-width: 1200px;
  margin: auto;
  padding: 0 16px;
  height: 70px;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

/* Logo */
.logo-area {
  display: flex;
  align-items: center;
  gap: 10px;
}

.logo-area img {
  height: 45px;
}

.logo-area span {
  font-weight: 700;
  font-size: 0.95rem;
  color: #0a5c36;
}

/* Navigation (Desktop Default) */
.main-nav {
  display: flex;
  gap: 24px;
}

.main-nav a {
  text-decoration: none;
  font-weight: 600;
  color: #0b5aa6;
  position: relative;
}

.main-nav a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0;
  height: 2px;
  background: #0a5c36;
  transition: width 0.3s ease;
}

.main-nav a:hover::after {
  width: 100%;
}

/* Hamburger Button */
.nav-toggle {
  display: none;
  flex-direction: column;
  gap: 5px;
  background: none;
  border: none;
  cursor: pointer;
}

.nav-toggle span {
  width: 26px;
  height: 3px;
  background: #0b5aa6;
  border-radius: 2px;
  transition: 0.3s ease;
}

img {
  max-width: 100%;
  display: block;
}

section {
  padding: 70px 20px;
}

h1, h2, h3 {
  color: #0a5c36;
}

p {
  color: #131313;
}

/* =====================
   BUTTONS
===================== */
.btn {
  display: inline-block;
  padding: 12px 28px;
  border-radius: 30px;
  text-decoration: none;
  font-weight: 600;
  transition: all 0.3s ease;
}

.btn.primary {
  background: #0a5c36;
  color: #fff;
}

.btn.primary:hover {
  background: #08704b;
}

.btn.secondary {
  border: 2px solid #0a5c36;
  color: #0a5c36;
}

.btn.secondary:hover {
  background: #0a2c1c;
  color: #fff;
}

.btn.primary.donate {
border: .5px solid #3eee5c;
}
.btn.primary.backbtn {
border: .5px solid #3eee5c;
}
.btn.primary.backbtn:hover {
  a{
    color: #0b3320;
  }
  background-color: #fff;
}
/* =====================
   SCROLL ANIMATIONS
===================== */
.reveal {
  opacity: 0;
  transform: translateY(40px);
  transition: all 0.8s ease;
}

.reveal.active {
  opacity: 1;
  transform: translateY(0);
}

/* Optional variations */
.reveal.left {
  transform: translateX(-40px);
}

.reveal.right {
  transform: translateX(40px);
}

.reveal.left.active,
.reveal.right.active {
  transform: translateX(0);
}


/* =====================
   HERO SECTION
===================== */
.hero {
  min-height: 100vh;
  background: linear-gradient(
      rgba(0, 0, 0, 0.55),
      rgba(0, 0, 0, 0.55)
    ),
    url("./herobg.jpg") center/cover no-repeat;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.hero-content {
  max-width: 800px;
  color: rgb(241, 239, 239);
}

.hero h1 {
  font-size: 2.5rem;
  color: #ffffff;
  margin-bottom: 20px;
}

.hero p {
  font-size: 1.1rem;
  margin-bottom: 30px;
  color: #fdfafa;
}

.hero-buttons {
  display: flex;
  gap: 15px;
  justify-content: center;
  flex-wrap: wrap;
}



/* =====================
   ABOUT SECTION
===================== */
.about {
color: #131313;
  background: #f1f6f4;
  text-align: center;
}

.about p {
  max-width: 700px;
  color: #131313;
  margin: 20px auto;
}

.about-points {
  margin-top: 30px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 20px;
}

.about-points div {
  background: #fff;
  padding: 20px;
  border-radius: 10px;
  font-weight: 600;
}


/* =====================
   GALLERY PREVIEW
===================== */
.gallery-preview {
  background: #f1f6f4;
  text-align: center;
}

.gallery-grid {
  margin: 30px 0;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
  gap: 15px;
}

.gallery-grid img {
  height: 200px;
  border-radius: 10px;
  object-fit: cover;
}
.cert{
  text-align: center;

  .certification {
  flex-wrap: wrap;
  gap: 20px;
}

.cert1,
.cert2 {
  width: 100%;
  max-width: 280px;
  height: auto;
}

}
.impact {
  padding: 40px 20px 60px;
  max-width: 700px;
  margin: auto;
}

.impact h2 {
  text-align: center;
  font-size: 34px;
  font-weight: 800;
  margin-bottom: 50px;
}

.impact h2 span {
  color: #354fe5;
}

/* Each row */
.impact-row {
  display: flex;
  align-items: center;
  margin-bottom: 45px;
}

/* Icon side */
.icon {
  width: 90px;
  display: flex;
  justify-content: center;
}

.icon i {
  font-size: 55px;
  color: #3541e5;
}
.student-card img{
  width: 90px;
  display: flex;
  justify-content: center;
}

/* Text side */
.text h3 {
  font-size: 36px;
  font-weight: 800;
  margin: 0;
}

.text p {
  margin-top: 6px;
  font-size: 14px;
  color: #9e9e9e;
}
.what-we-do {
  padding: 70px 20px;
  max-width: 1100px;
  margin: auto;
  text-align: center;
}

.what-we-do h2 {
  font-size: 34px;
  font-weight: 800;
  margin-bottom: 15px;
}

.what-we-do h2 span {
  color: #2d36af;
}

.what-we-do .intro {
  max-width: 700px;
  margin: 0 auto 50px;
  color: #666;
  font-size: 16px;
}

.programs {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 35px;
}

.program-card {
  padding: 35px 25px;
  border-radius: 10px;
  background: #fafafa;
  text-align: left;
}

.program-card i {
  font-size: 42px;
  color: #3eee5c;
  margin-bottom: 20px;
}

.program-card h3 {
  font-size: 20px;
  margin-bottom: 10px;
}

.program-card p {
  font-size: 14.5px;
  line-height: 1.6;
  color: #777;
}
.online-books {
  padding: 70px 20px;
  max-width: 1200px;
  margin: auto;
  text-align: center;
}

.online-books h2 {
  font-size: 34px;
  font-weight: 800;
  margin-bottom: 15px;
}

.online-books h2 span {
  color: #3eee5c;
}

.online-books .intro {
  max-width: 700px;
  margin: 0 auto 50px;
  font-size: 16px;
  color: #666;
}

.books-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(260px, 1fr));
  gap: 35px;
}

.book-card {
  background: #fafafa;
  border-radius: 12px;
  padding: 30px 25px;
  text-align: left;
  display: flex;
  flex-direction: column;
}

.book-cover {
  height: 160px;
  border-radius: 8px;
  background: #3eee5c;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 20px;
}

.book-cover i {
  font-size: 48px;
  color: #fff;
}

.book-card h3 {
  font-size: 20px;
  margin-bottom: 5px;
}

.book-card .author {
  font-size: 13px;
  color: #999;
  margin-bottom: 12px;
}

.book-card .description {
  font-size: 14.5px;
  line-height: 1.6;
  color: #777;
  margin-bottom: 20px;
}

.book-card .btn {
  margin-top: auto;
  text-decoration: none;
  background: #2d36af;
  color: #fff;
  padding: 10px 18px;
  border-radius: 6px;
  font-size: 14px;
  display: inline-block;
  width: fit-content;
}

.book-card .btn:hover {
  background: #2d36af;
}




.student-donations {
  padding: 60px 20px;
  max-width: 1200px;
  margin: auto;
}

.student-donations h2 {
  text-align: center;
  font-size: 34px;
  font-weight: 800;
}

.student-donations h2 span {
  color: #3822b9;
}

.student-donations .intro {
  text-align: center;
  color: #666;
  font-size: 15px;
  margin: 10px auto 40px;
  max-width: 700px;
}

.student-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 25px;
}

.student-card {
  background: #fff;
  padding: 30px 20px;
  border-radius: 12px;
  text-align: center;
  box-shadow: 0 8px 20px rgba(0,0,0,0.06);
}

.student-card i {
  font-size: 38px;
  color: #4135e5;
  margin-bottom: 15px;
}

.student-card h4 {
  font-size: 16px;
  margin-bottom: 8px;
}

.student-card .price {
  font-size: 15px;
  font-weight: bold;
  color: #333;
}

.student-card.highlight {
  border: 2px solid #2d36af;
}


/* Icon side */
.icon {
  width: 90px;
  display: flex;
  justify-content: center;
}

.icon i {
  font-size: 55px;
  color: #355ad3;
}

/* Text side */
.text h3 {
  font-size: 36px;
  font-weight: 800;
  margin: 0;
}

.text p {
  margin-top: 6px;
  font-size: 14px;
  color: #9e9e9e;
}
.projects {
  background: #fff;
  text-align: center;
}

.project-grid {
  margin-top: 40px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
  gap: 30px;
}

.project-card {
  background: #f9f9f9;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 10px 25px rgba(0,0,0,0.08);
  transition: transform 0.3s ease;
}

.project-card:hover {
  transform: translateY(-8px);
}

.project-card img {
  height: 200px;
  width: 300px;
  padding: 20px;
  object-fit: cover;
}

.project-card h3 {
  margin: 15px 0 10px;
  color: #0f0e0e;
}

.project-card p {
  padding: 0 20px 25px;
  color: #0f0e0e;
}

/* =====================
   TEAM SECTION
===================== */
.team {
  background: #fff;
  text-align: center;
}

.team-grid {
  margin-top: 20px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
  gap: 30px;
}

.team-card {
  background: #f9f9f9;
  padding: 25px;
  border-radius: 15px;
  box-shadow: 0 10px 25px rgba(0,0,0,0.08);
}
.team p {
    color: #000000;
}
.team h3{
    color: #0b5aa6;
}
.team-card img {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  object-fit: cover;
  margin: 0 auto 15px;
}
.contact-section .section-content {
  max-width: 800px;
  width: 100%;
  margin: auto;
  padding: 0 15px;
}


.contact-section h2 {
  color: rgb(10, 92, 10);
  font-size: 2rem;
  margin-bottom: 1rem;
}

.contact-section p {
  font-size: 1.1rem;
  margin-bottom: 1rem;
}

.contact-section ul {
  list-style: none;
  padding: 0;
  display: flex;
  justify-content: center;
}

.contact-section li {
  margin: 0.6rem 0;
  font-size: 1.05rem;
}
.contact-section i {
  width: 35px;
}
.contact-section a {
  color: #ffffff;
  margin-left: 20px;
  text-decoration: none;
}

.contact-section a:hover {
  text-decoration: underline;
  font-weight: bolder;
}

/* CTA SECTION */
.cta {
  background: #385bc4;
  color: #fff;
  text-align: center;
  border-radius: 10px;

  
}

.cta h2,h3,p {
  color: #fff;
  margin-bottom: 10px;
}
.backbtn{
  text-align: center;
  margin-bottom: 10px;
}

.backbtn a {
  text-decoration: none;
  color: #fff;
}


/* FOOTER */
footer {
  background: #4169e1;
  color: #ccc;
  text-align: center;
  padding: 20px;
  font-size: 0.9rem;

  a{
    text-decoration: none;
    color: #fff;
  }
}
.footer-logos{
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}
.footer-logos img {
  max-width: 180px;
}
.footer-id,
.footer-id1,
.footer-id2 {
  max-width: 100%;
  height: auto;
}



   /* DONATION MODAL */

.donation-modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: all 0.3s ease;
  z-index: 2000;
}

.donation-modal.active {
  opacity: 1;
  visibility: visible;
}

.donation-content {
  background: #fff;
  color: #333;
  padding: 30px;
  border-radius: 15px;
  width: 90%;
  max-width: 420px;
  text-align: center;
  position: relative;
  animation: popup 0.4s ease;
}

@keyframes popup {
  from {
    transform: scale(0.85);
    opacity: 0;
  }
  to {
    transform: scale(1);
    opacity: 1;
  }
}

.donation-content h2 {
  margin-bottom: 10px;
}

.donation-details {
  background: #f1f6f4;
  padding: 20px;
  border-radius: 10px;
  margin: 20px 0;
  text-align: left;
}

.donation-details p {
  color: #000000;
  margin-bottom: 8px;
  font-size: 0.95rem;
}

.donation-note {
  color: #000000;
  font-size: 0.9rem;
  margin-bottom: 20px;
}

/* Close Icon */
.close-modal {
  position: absolute;
  top: 15px;
  right: 18px;
  font-size: 1.8rem;
  cursor: pointer;
  color: #000000;
}

.close-modal:hover {
  color: #000;
}


/* =====================
   RESPONSIVE BREAKPOINTS
===================== */

/* Tablets */
@media (max-width: 768px) {
  .hero h1 {
    font-size: 3.2rem;
  }

  .hero p {
    font-size: 1.2rem;
  }
    .nav-toggle {
    display: flex !important;
    z-index: 1100;
  }

  .main-nav {
    position: absolute;
    top: 70px;
    left: 0;
    width: 100%;
    background: #ffffff;

    flex-direction: column;
    align-items: center;

    max-height: 0;
    overflow: hidden;
    transition: max-height 0.35s ease;
    box-shadow: 0 6px 15px rgba(0,0,0,0.1);
  }

  .main-nav a {
    padding: 14px 0;
    width: 100%;
    text-align: center;
    border-top: 1px solid #eee;
  }

  .main-nav.open {
    max-height: 400px;
  }

    
}

/* Desktops */
@media (min-width: 1024px) {
  section {
    padding: 90px 80px;
  }

  .hero-content {
    max-width: 900px;
  }
}
@media (min-width: 1200px) {

  .hero-content {
    max-width: 1000px;
  }

  .projects,
  .about,
  .team,
  .gallery-preview {
    max-width: 1200px;
    margin: auto;
  }
}

@media (max-width: 900px) {

  .project-grid,
  .team-grid,
  .gallery-grid{
    grid-template-columns: repeat(2, 1fr);
  }

  .hero h1 {
    font-size: 2.6rem;
  }

  section {
    padding: 70px 30px;
  }
    .project-grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .hero h1 {
    font-size: 2.6rem;
  }

  section {
    padding: 70px 30px;
  }
}
@media (max-width: 480px) {
  .what-we-do h2 {
    font-size: 30px;
  }

  .program-card {
    text-align: center;
  }


  .icon i {
    font-size: 50px;
  }

  .text h3 {
    font-size: 32px;
  }
  .book-card {
    align-items: center;
    text-align: center;
  }
  h1 {
    font-size: 1.8rem;
  }

  h2 {
    font-size: 1.5rem;
  }

  p {
    font-size: 0.95rem;
  }

  .hero {
    padding: 0 15px;
  }

  .hero h1 {
    font-size: 2rem;
  }

  .hero p {
    font-size: 1rem;
  }

  .btn {
    padding: 10px 20px;
    font-size: 0.9rem;
  }

  section {
    padding: 50px 15px;
  }

  .icon {
    width: 60px;
  }

  .icon i {
    font-size: 40px;
  }

  .text h3 {
    font-size: 26px;
  }
}

.nav-toggle.active span:nth-child(1) {
  transform: rotate(45deg) translateY(8px);
}

.nav-toggle.active span:nth-child(2) {
  opacity: 0;
}

.nav-toggle.active span:nth-child(3) {
  transform: rotate(-45deg) translateY(-8px);
}